Subject: bug#31650: 26.1; Desktop mode adds wm stickiness to emacs windows.

From: Robert Pluim <[email-masked]>
Date: Thu, 31 May 2018 18:02:31 +0200

Robert Pluim <[email-masked]> writes:

> martin rudalics <[email-masked]> writes:
>
>> This might be even the right thing to do if, for example, the WM
>> decides that making a non-sticky frame non-sticky is a silly request
>> and the application probably wants a sticky frame instead.
>>
>>> - Seems to be windows manager specific (you don't see it with xfwm4, I
>>>    do with fvwm2 2.6.4).
>>
>> We would have to hear from others.  Anyone?  With emacs -Q evaluate
>>
>> (set-frame-parameter nil 'sticky nil)
>>
>> and look whether your frame starts to appear on all your desktops.
>
> That has no effect for me on Fedora 28 which I believe uses mutter as
> the wm. Similarly running it multiple times has no effect.
>
> Running
>
> (set-frame-parameter nil 'sticky t)
>
> once or multiple times results in a sticky frame, as expected.
>
> Iʼll see if I can try on my KDE-based Ubuntu later. Thatʼs based more
> directly on X, unlike my Fedora machine which is using XWayland.

And KDE seems to do absolutely nothing when we set or clear the sticky
parameter.

Robert